Sử dụng ProGuard với Android Compatibility Library

Nếu bạn bật ProGuard khi build app Android có sử dụng  Android Compatibility Library thì có khả năng bạn sẽ gặp lỗi sau:

[2012-02-12 16:50:52 - Theme Extractor] Proguard returned with error code 1. See console
[2012-02-12 16:50:52 - Theme Extractor] Warning: android.support.v4.view.AccessibilityDelegateCompatIcs$1: can’t find superclass or interface android.view.View$AccessibilityDelegate
[2012-02-12 16:50:52 - Theme Extractor] Warning: android.support.v4.view.accessibility.AccessibilityManagerCompatIcs$1: can’t find superclass or interface android.view.accessibility.AccessibilityManager$AccessibilityStateChangeListener
[2012-02-12 16:50:52 - Theme Extractor] Warning: android.support.v4.accessibilityservice.AccessibilityServiceInfoCompatIcs: can’t find referenced method ‘boolean getCanRetrieveWindowContent()’ in class android.accessibilityservice.AccessibilityServiceInfo

Cách khắc phục: Thêm dòng sau vào file proguard.cfg trong thư mục gốc của project

-dontwarn android.support.**

 

Social Widgets powered by AB-WebLog.com.